#include "Main.h"

void Logger::start() {
	FILE *logFile;
	logFile = fopen("server.log", "a");
	fputs("-------------------NEW LOGGING SESSION-------------------\n", logFile);
	fclose(logFile);
}

void Logger::add(char *cStr) {
	char logEntry[256], formatStr[16];
	SYSTEMTIME ts;
	FILE *logFile;

	memset(logEntry, 0, sizeof(logEntry));
	memset(formatStr, 0, sizeof(formatStr));

	GetLocalTime(&ts);

	if(ts.wHour < 10)
		strcat(formatStr, "0");
	strcat(formatStr, "%d:");

	if(ts.wMinute < 10)
		strcat(formatStr, "0");
	strcat(formatStr, "%d:");

	if(ts.wSecond < 10)
		strcat(formatStr, "0");
	strcat(formatStr, "%d\t%s");

	sprintf(logEntry, formatStr, ts.wHour, ts.wMinute, ts.wSecond, cStr);
	printf("%s", logEntry);

	logFile = fopen("server.log", "a");
	fputs(logEntry, logFile);
	fclose(logFile);
}

void Logger::add_adminEntry(char *cStr, Player *player) {
	int i;
	char entrybuf[128];

	memset(entrybuf, 0, sizeof(entrybuf));
	for(i = PACKLEN_CHAT-4; *(cStr+i) == 0x20; i--);
	*(cStr+i+1) = 0;
	sprintf(entrybuf, "%s commands: %s\n", player->playerName, cStr);
	*(cStr+i+1) = 0x20;
	add(entrybuf);
}

void Logger::add_chatEntry(char *cStr, Player *player) {
	int i;
	char entrybuf[128];

	memset(entrybuf, 0, sizeof(entrybuf));
	for(i = PACKLEN_CHAT-4; *(cStr+i) == 0x20; i--);
	*(cStr+i+1) = 0;
	sprintf(entrybuf, "%s says: %s\n", player->playerName, cStr);
	*(cStr+i+1) = 0x20;
	add(entrybuf);
}