#ifndef _MAIN_H
#define _MAIN_H

/* C */
#include <cstdio>
#include <cstdlib>
#include <cstring>
#include <ctime>
#include <cmath>

/* C++ */
#include <iostream>
#include <sstream>
#include <string>
#include <vector>

using namespace std;

#include "defines.h"

#if WIN_32
/* WinAPI */
#include <windows.h>
#include <winsock2.h>
#include <ws2tcpip.h>
#endif

/* ZLIB -- MAP DE/COMPRESSION */
#include "zlib.h"
#define CHUNK 262144

/* MD5 -- VERIFY NAMES */
#include "md5.h"

/* MODULES / OBJECTS */
#include "Various.h"
#include "Logger.h"
#include "Config.h"
#include "Level.h"
#include "Server.h"

#endif